Subject: CONPACK labels

From: [email-masked] (Fred Clare)
Date: Mon, 13 Jan 92 12:06:49 MST

Ben, I think we just need to keep in mind what ps.mono does
with its color indices.  As I mentioned, what it does is to
completely ignore any color value settings you make in your
code and use its own internal color scheme.  That scheme is
to assign color index 0 black and color index 255 white and
scale linearly between the two.  Given this, if you draw the
line label backgrounds using color index 0 and the labels
themselves using index 1, then you will get a solid black
box using ps.mono since color index 1 is essentially black.
Of course this may totally disagree with what you get on your
screen since an entirely different color scheme is being used.
If you want CONPACK labels that are white on black to come
out of ps.mono, then you need to use color index 255 for the
labels and color index 0 (or 1) for the background.  To have
this come out as reasonable on your sceen you would have to
define indices 0 and 255 appropriately there.  If you want
black labels on a white background using ps.mono, then you
would need to use color index 0 for the label box background
and 255 for the labels.

If this is as clear as mud, I will come up and discuss it with
you.

Kennison assures me that the label box background is always drawn
first and then the labels, no matter what.

Fred